<?php
/* $Id: slave.php,v 1.1.2.1 2005/01/25 10:29:28 bzizou Exp $

This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

SLIS : Serveur de communications Linux pour l'Internet Scolaire. Copyright (C) 1998-2003 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>

*/

// tools and libs
require("pgsql.inc.php");
require("html.inc.php");
require("lib.inc.php");
require("dns.inc.php");

$to_apply=0;

$db = dbconnect();

// Print something when an update is done so that the
// user see that something is done
if($updating) {
        $content  = $lang_DNS_Updating."<br>\n";
        $content .= "<center><img src='../images/play_anim.gif' border='0'></center>\n";
        $val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$content,$border,$lang_adv_DNS,$titre_color,0);
        $val = center($val);
        $val = saut(2)."$val";

        echo "<html>\n";
        echo "<head>\n";
        echo "<base target='_top'>\n";
        $base_name=urlencode($base_name);
        echo "<meta HTTP-EQUIV=\"Refresh\" CONTENT=\"1;url='$PHP_SELF?action=$action&name=$name&master1=$master1&master2=$master2&master3=$master3&master4=$master4&id=$id'\">\n";
        echo "</head>\n";
        echo "<font FACE='Helvetica,Arial'>\n";
        echo "$val\n";
        echo "</body>\n";
        echo "</html>\n";
        return;
}


switch($action) {

// Apply changes
case 'apply' :
  $content=startHTML("$lang_adv_DNS");
  $err=apply();
  sleep(1);
  if ($err) {
    $content.="<BR><CENTER><I>$lang_DNS_Timeout</I></CENTER><P>\n";
  }
  else {
    $content.="<BR><CENTER><I>$lang_DNS_Done</I></CENTER><P>\n";
  }
  $content.=links();
  $content.=endHTML();
  $title=$lang_adv_DNS;
  break;


// Delete a zone delegation
case 'del_master' :
  if ($sure) {
    del_master($id);
    $to_apply=1;
    header("Location: slave.php");
  }
  else {
    $link_ok="slave.php?action=del_master&id=$id&sure=1";
    $link_cancel="slave.php";
    $content=startHTML("$lang_adv_DNS");
    $content.=are_you_sure($lang_DNS_suredelslave,$link_ok,$link_cancel,$name);
    $content.=endHTML();
    $title=$lang_adv_DNS;
  }
  break;

// Add a zone delegation
case 'add_master' :
  $master="$master1.$master2.$master3.$master4";
  $error=add_master($name,$master);
  if ("$error" != "0") {
    print "<FONT COLOR=FF0000>$error</FONT><P>";
    print "<A HREF=javascript:history.back()>$lang_DNS_Retry</A>";
    exit;
  }
  else { 
    $to_apply=1;
    header("Location: slave.php?action=list");
    break;
  }

// List the zone delegations
default:
  $content=startHTML("$lang_adv_DNS");
  $content.=list_masters();
  $content.="<P><HR>";
  $content.=links();
  $content.=endHTML();
  $title=$lang_adv_DNS;
  break;
}

// Touch a tag if something has to be validated
if ($to_apply) {
  touch("$QUEUE/to_apply.dnsslave");
}

// Outputs
$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$content,$border,$title,$titre_color,0);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";

// Close database connection
pg_close($db);
                  
?>
